×

Discussion Board

Results 1 to 9 of 9
  1. #1
    Registered User
    Join Date
    Apr 2011
    Posts
    83

    Will Qt work for E71 device (S60 3rd Edition)?

    I want to know Qt creator code can run on E71 nokia device????any one ...
    I have Qt creator 4.7.4.

  2. #2
    Nokia Developer Champion
    Join Date
    Mar 2003
    Location
    Finland
    Posts
    9,545

    Re: Will Qt work for E71 device (S60 3rd Edition)?

    It is supported, but only for/with Qt 4.6.3 based applications (you can't use anything new or different in Qt 4.7.*): http://www.developer.nokia.com/Distr...tml#article1_a

  3. #3
    Registered User
    Join Date
    Apr 2011
    Posts
    83

    Re: Will Qt work for E71 device (S60 3rd Edition)?

    ok thanks , i have 4.7.4 so its ,means it don't work for E71.beacuse it is connecting device through CODA and CODA is not installing on E71.

  4. #4
    Registered User
    Join Date
    Nov 2010
    Posts
    1,169

    Re: Will Qt work for E71 device (S60 3rd Edition)?

    If your problem has been solved. Please explain me the steps. Iam facing the same situation now. I want to run a Qt app on nokia E 71. It says feature not supported etc.


    I have Qt creator 2.2.1 of SDK Qt 4.7.3

  5. #5
    Nokia Developer Expert
    Join Date
    Dec 2004
    Location
    Austin, TX
    Posts
    399

    Re: Will Qt work for E71 device (S60 3rd Edition)?

    If you are working with S60 3rd Ed devices (FP1 and greater) you will need Qt SDK 1.1.2 for TRK support with use of Symbian^1 + Qt 4.6.3. No other target in the Qt SDK will work with 3rd Ed. devices (i.e. NOT 4.7.3, NOT CODA, NOT Symbian^3). Remember Symbian^1 is the same as S60 5th Ed.

    From here:
    http://get.qt.nokia.com/qtsdk/

    Download: Qt_SDK_Win_online_v1_1_2_en.exe

  6. #6
    Registered User
    Join Date
    Apr 2011
    Posts
    83

    Re: Will Qt work for E71 device (S60 3rd Edition)?

    in my point of view, its not good to use Qt for Symbian 3rd edition device. if you (GTO_India) want to use Qt you should have 4.6.3 Qt version as timm-ah and petrib said. but you can use nokia web tools for your development targeting such devices(s40 0r s60 3rd edition)

  7. #7
    Registered User
    Join Date
    Nov 2010
    Posts
    1,169

    Re: Will Qt work for E71 device (S60 3rd Edition)?

    when i download the Qt SDK from the link it is againing instaling the Qt cRetaor which I already had earlier ie. Qt 2.3 based on Qt 4.7.4

  8. #8
    Nokia Developer Champion
    Join Date
    Oct 2007
    Location
    જુનાગઢ - India
    Posts
    3,034

    Re: Will Qt work for E71 device (S60 3rd Edition)?

    So what?? I have Qt Creator 2.3.0 and Qt Creator 2.3.1 installed on same machine and same drive. I am using both of them without any problem.

  9. #9
    Registered User
    Join Date
    Nov 2010
    Posts
    1,169

    Re: Will Qt work for E71 device (S60 3rd Edition)?

    but the main thing is I want to build with Qt 4.6.3 which is now not present in my creator after downloading and installing.,

Similar Threads

  1. Replies: 4
    Last Post: 2011-10-19, 15:03
  2. Replies: 5
    Last Post: 2010-10-13, 13:34
  3. Does Jarpa work on a S60 5th edition device
    By MForceOne in forum [Archived] Flash Lite on Nokia Devices
    Replies: 2
    Last Post: 2009-07-03, 02:58
  4. Replies: 2
    Last Post: 2009-05-29, 10:15
  5. Replies: 4
    Last Post: 2008-11-15, 03:47

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •